"use client"

import LoadingItem from "@/components/loading-item"
import { TryAgain } from "@/components/try-again"
import { Card } from "@/components/ui/card"
import { useGweets } from "../hooks/use-gweets"
import { InfiniteGweets } from "./infinite-gweets"

export const Gweets = () => {
    const {
        data: gweets,
        isLoading,
        isError,
        isSuccess,
        isFetchingNextPage,
        fetchNextPage,
        hasNextPage,
    } = useGweets({})

    if (isLoading) {
        return <LoadingItem />
    }

    if (isError) {
        return <TryAgain />
    }

    return (
        <Card className="w-full h-full p-2 xl:p-4">
            <InfiniteGweets
                gweets={gweets}
                isSuccess={isSuccess}
                isFetchingNextPage={isFetchingNextPage}
                fetchNextPage={fetchNextPage}
                hasNextPage={hasNextPage}
            />
        </Card>
    )
}
